Changes between Initial Version and Version 1 of JabhtsHtml5LibInstall


Ignore:
Timestamp:
08/27/07 13:30:38 (12 years ago)
Author:
speck
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • JabhtsHtml5LibInstall

    v1 v1  
     1== How to install html5lib ==
     2
     3=== Mac OS X 10.4 ===
     4
     5Step 1: The default installed python is too old (2.3), so you need to install a newer version. Download and install [http://python.org/download/ Python 2.5.1 for Macintosh OS X]
     6
     7Step 2: Download [http://html5lib.googlecode.com/files/html5lib-0.9.zip html5lib-0.9.zip]. Extract the zip file by double-clicking on it in the Finder.
     8
     9Step 3: Open Terminal.app and type:  "c", "d" and a space. Drag the html5lib-0.9 folder into the Terminal.app window, so it prints the path name.  Type return.
     10Then type "/usr/local/bin/python setup.py install" and return.
     11
     12=== Debian etch ===
     13
     14Step 1: The default installed python is too old (2.4), so you need to install a newer version. Run "apt-get install python2.5-dev"
     15
     16Step 2: Download [http://html5lib.googlecode.com/files/html5lib-0.9.zip html5lib-0.9.zip].
     17
     18Step 3: Extract the zip by running "unzip html5lib-0.9.zip"
     19
     20Step 4: Install it by running "/usr/bin/python2.5 setup.py install"
     21